<?php
/*
Plugin Name: OneCart Authorize.net
Plugin URI: http://themeforest.net/item/onecart-ajax-responsive-ecommerce-wordpress-theme/3167538?ref=ThemeFluent
Description: Enables Authorize.net credit card payments on your store.
Version: 1.0
Author: ThemeFluent
Author URI: http://themeforest.net/user/ThemeFluent?ref=ThemeFluent
*/

/**
@ globals
**/
define('PLUGIN_OCART_AUTHORIZE_URL',plugin_dir_url(__FILE__ ));
define('PLUGIN_OCART_AUTHORIZE_PATH',plugin_dir_path(__FILE__ ));
define('PLUGIN_OCART_AUTHORIZE_DB_VERSION','1');

/**
@ installation
**/
require_once(PLUGIN_OCART_AUTHORIZE_PATH . 'includes/install.php');

register_activation_hook(__FILE__,'ocart_authorize_install'); 
register_deactivation_hook( __FILE__, 'ocart_authorize_deactivate' );
register_uninstall_hook( __FILE__,'ocart_authorize_uninstall');

/**
@ includes
**/
require_once(PLUGIN_OCART_AUTHORIZE_PATH . 'includes/functions.php');
require_once(PLUGIN_OCART_AUTHORIZE_PATH . 'includes/actions.php');