<?php

// include WordPress
define( 'WP_USE_THEMES', false );
require('../../../wp-load.php');

// Retrieving and defining Form Data from Post command body from Authorize.Net
$ResponseCode       = trim($_POST["x_response_code"]);
$ResponseReasonText = trim($_POST["x_response_reason_text"]);
$ResponseReasonCode = trim($_POST["x_response_reason_code"]);
$AVS                = trim($_POST["x_avs_code"]);
$TransID            = trim($_POST["x_trans_id"]);
$AuthCode           = trim($_POST["x_auth_code"]);
$Amount             = trim($_POST["x_amount"]);
$order_id             = trim($_POST["x_invoice_num"]);

// process order on approved payment
if ($ResponseCode == 1) {
	if (!isset($notes)) { $notes = ''; }
	update_post_meta($order_id, 'payment_status', 'Completed');
	update_post_meta($order_id, 'order_status', 'pending');
	wp_mail(get_the_author_meta( 'user_email', get_post_meta($order_id, 'custID', true) ), sprintf(__('[%s] Your Order is Pending','ocart'), get_bloginfo('name')), ocart_email_template('order_pending', $order_id, $notes));
	update_post_meta($order_id, 'order_status_dump', 'pending');
}

?>